<template>
  <Dialog :title="dialogTitle" v-model="dialogVisible">
    <div class="record" v-loading="formLoading">
      <div v-for="item in data.content" :key="item.id" class="item">
        <div class="item-name">{{ item.user_id === userId ? '用户' : '月嫂' }}:</div>
        <div class="item-text">{{ item.content }}</div>
      </div>
    </div>
  </Dialog>
</template>
<script setup lang="ts">
import * as SuggestionApi from '@/api/suggestion'

const dialogVisible = ref(false) // 弹窗的是否展示
const dialogTitle = ref('') // 弹窗的标题
const formLoading = ref(false) // 表单的加载中：1）修改时的数据加载；2）提交的按钮禁用

const data = ref({
  content: [],
});
const queryId = ref<number | undefined>(undefined);
const userId = ref<number | undefined>(undefined);
const yuesaoId = ref<number | undefined>(undefined);

/** 打开弹窗 */
const open = async (id: number, _userId: number, _yuesaoId: number) => {
  queryId.value = id;
  userId.value = _userId;
  yuesaoId.value = _yuesaoId;

  dialogVisible.value = true
  dialogTitle.value = '查看聊天记录'
  // 修改时，设置数据
  if (id) {
    formLoading.value = true
    try {
      data.value = await SuggestionApi.getSuggestion(id)
    } finally {
      formLoading.value = false
    }
  }
}
defineExpose({ open }) // 提供 open 方法，用于打开弹窗

/** 提交表单 */
const emit = defineEmits(['success']);
</script>

<style lang="less" scoped>
.record {
  height: 450px;
  overflow: auto;
  .item {
    display: flex;
    width: 100%;
    align-items: center;
    &-name {
      margin-right: 20px;
    }
    &-text {
      background: #eaeaea;
      border-radius: 10px;
      padding: 5px 10px;
    }
    &:not(:last-child) {
      margin-bottom: 10px;
    }
  }
}
</style>
